> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get project

> Retrieve detailed information about a specific project.



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/projects/{project_id}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/projects/{project_id}:
    get:
      tags:
        - Projects
      summary: Get project
      description: Retrieve detailed information about a specific project.
      operationId: ProjectViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 4
            examples:
              - 4
            format: int64
            title: Project Id
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            project = client.cloud.projects.get(
                project_id=4,
            )
            print(project.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tproject, err := client.Cloud.Projects.Get(context.TODO(), cloud.ProjectGetParams{\n\t\tProjectID: gcore.Int(4),\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", project.ID)\n}\n"
components:
  schemas:
    ProjectSerializer:
      properties:
        client_id:
          description: ID associated with the client.
          example: 1
          examples:
            - 1
          title: Client Id
          type: integer
        created_at:
          description: Datetime of creation, which is automatically generated.
          example: '2019-12-31T23:59:59'
          examples:
            - '2019-12-31T23:59:59'
          format: date-time
          title: Created At
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: >-
            Datetime of deletion, which is automatically generated if the
            project is deleted.
          examples:
            - '2020-12-31T23:59:59'
          title: Deleted At
        description:
          anyOf:
            - maxLength: 255
              type: string
            - type: 'null'
          description: Description of the project.
          examples:
            - Project description
          title: Description
        id:
          description: Project ID, which is automatically generated upon creation.
          example: 1
          examples:
            - 1
          title: Id
          type: integer
        is_default:
          description: >-
            Indicates if the project is the default one. Each client always has
            one default project.
          example: true
          examples:
            - true
          title: Is Default
          type: boolean
        name:
          description: Unique project name for a client.
          example: default
          examples:
            - default
          title: Name
          type: string
        state:
          description: The state of the project.
          example: ACTIVE
          examples:
            - ACTIVE
          title: State
          type: string
        task_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            The UUID of the active task that currently holds a lock on the
            resource. This lock prevents concurrent modifications to ensure
            consistency. If `null`, the resource is not locked.
          examples:
            - 7244e161-664c-4afd-a34e-7003eac4d949
          title: Task Id
      required:
        - client_id
        - created_at
        - deleted_at
        - description
        - id
        - is_default
        - name
        - state
        - task_id
      title: ProjectSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````